
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>（一二九）类中使用new / iVAN</title>

    <meta name="description" content="（一二九）类中使用new 在类定义--主要是类的构造函数中使用new时,需要注意很多问题: ①按照一个new对应一个delete的原则.   ②构造函数中使用new/ new [],那么析构函数中就应该使用delete/ delete[]:   ③析构函数中使用delete/ delete[],那么构造函数.默认构造函数.复制构造函数,都应该使用new/ new[].   ④且new和delete应该保持一致,要么都不带[],要么都带[]:   ⑤不同构造函数中的new也应该保持一致,要么都带,要么都不带[].   ⑥但">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">（一二九）类中使用new</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在类定义——主要是类的构造函数中使用new时，需要注意很多问题：</p>
<p>①按照一个new对应一个delete的原则。</p>
<p> </p>
<p>②构造函数中使用new/ new []，那么析构函数中就应该使用delete/ delete[]；</p>
<p> </p>
<p>③析构函数中使用delete/ delete[]，那么构造函数、默认构造函数、复制构造函数，都应该使用new/ new[]。</p>
<p> </p>
<p>④且new和delete应该保持一致，要么都不带[]，要么都带[]；</p>
<p> </p>
<p>⑤不同构造函数中的new也应该保持一致，要么都带，要么都不带[]。</p>
<p> </p>
<p>⑥但可以把指针初始化为空指针（空指针支持被delete和delete[]）（空指针的定义方式是，=NULL或者=nullptr，也有=0的，不过前两者比较好）</p>
<p> </p>
<p>⑦当遇见new时，复制构造函数 应自定义（深度复制），否则按值传递会导致出现问题。复制构造函数的定义思路，有一些类似构造函数。</p>
<p>参数：const 类引用</p>
<p>返回值和返回类型：无</p>
<p>基本类型的（非指针）：按值传递；</p>
<p>指针：构造函数用new的，也跟着一起new，但不需要delete（因为是初始化对象时使用）</p>
<p>计数器（如果有）：需要更新；</p>
<p> </p>
<p>⑧应自定义 赋值运算符 （面对对象时），通过深度复制将一个对象赋值给另一个对象。思路类似构造函数：</p>
<p>参数：const 类引用</p>
<p>返回值：*this；</p>
<p>返回类型：类对象的引用；</p>
<p>注意：需要有防止自己赋值自己的语句判断，判断条件是地址（this==&amp;目标对象，原因在于==判断需要有运算符重载才可以）</p>
<p>基本类型：按值传递；</p>
<p>指针：先delete再new（因为被赋值的对象，是已经被初始化过的，也就是说new过，因此应对应delete）；</p>
<p>计数器（如果有）：不更新；</p>
<p> </p>
<p> </p>
<p>例如：</p>
<p>类为Man，私有成员int a和char*b，int len;<br />
 分别表示数值，字符串，字符串长度。</p>
<p>代码：</p>
<p> </p>
<pre>class Man
{
	int a;	//数值
	char*b;	//指针
	int len;	//指针指向字符串的长度
public:
	Man::Man();
	Man::Man(int m, const char* n);
	Man::Man(const Man&amp; n);
	Man&amp; Man::operator=(const Man&amp;n);
};
//默认构造函数：
Man::Man()	//这里没使用默认参数
{
	a = 0;	//a为0
	b = nullptr;	//空指针，可以被delete或者delete[]
	len = 0;	//长度为0
}
//构造函数：
Man::Man(int m, const char* n)
{
	len = strlen(n);	//len=被传递的字符串长度
	b = new char[len + 1];	//然后new
	strcpy_s(b, len + 1, n);	//复制到成员b
	a = m;	//给a一个初始值
}
//复制构造函数：
Man::Man(const Man&amp; n)
{
	len = n.len;	//长度自然相等
	b = new char[len + 1];	//new，是因为这是初始化对象时调用
	strcpy_s(b, len + 1, n.b);	//复制过去
	a = n.a;	//a相等
}
//赋值运算符重载（深度复制）；
Man&amp; Man::operator=(const Man&amp;n)	//调用的是被赋值的对象，隐式传递给函数
{
	if (this == &amp;n) return *this;	//用于自己赋值给自己，判断地址的原因在于对象==对象需要运算符重载
	a = n.a;	//相等
	len = n.len;	//自然也相等
	delete[]b;	//因为已经初始化过了，新的长度不确定，因此要delete[]掉老的再重新申请动态内存
	b = new char[len + 1];	//new
	strcpy_s(b, len + 1, n.b);	//复制
	return *this;	//返回对象，*this表示当前对象
}</pre>
<p> </p>
<p> </p>
<p>一个类包含另一个类对象作为成员时：</p>
<p>假如有String类，在之前，我们已经自定义String类的复制构造函数了（也就是说可以把一个类对象作为参数，在初始化另一个类对象时使用）。</p>
<p> </p>
<p>又有Man类，Man类里有两个数据成员，一个是int类型变量m，一个是String类对象n。</p>
<p> </p>
<p>那么，对于Man类对象a和b来说，可以无需自定义赋值运算符，即可直接使用a=b这种方法，将b赋值给a。</p>
<p> </p>
<p>原因在于，默认的赋值运算符，是逐值赋值的。也就是a.m=b.m; a.n=b.n; 这样。</p>
<p> </p>
<p>int类型属于基本类型，可以直接使用赋值运算符，这是我们知道的。</p>
<p> </p>
<p>String类型是我们自定义的类型，因为重载了赋值运算符（面向对象的），因此我们可以直接将一个String类对象赋值给另一个String类对象（调用重载赋值运算符函数，而不是调用默认赋值运算符函数），此时调用的是 重载后的赋值运算符 。</p>
<p>又已知，自定义的重载赋值运算符函数，并不会生成临时对象（默认的也不会），也不会让两个对象的指针成员指向同一个地址（因此不会导致析构函数调用时出错）。于是，不会带来不良后果，可以直接将String类对象赋值给另一个。</p>
<p> </p>
<p>因此，对Man类使用赋值运算符（逐值赋值2个数据成员）并不会带来什么不良后果。</p>
<p> </p>
<p> </p>
<p>但假如Man类还有其他成员，需要定义复制构造函数和赋值运算符，情况会更复杂，在这种情况下，这些函数必须显式的调用String类的复制构造函数和赋值运算符，将在13章介绍。</p>
<p>——不明白什么叫显式的调用String类的复制构造函数和赋值运算符，是指像a.n=b.n这样么？</p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-27 03:00:34</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>（一二九）类中使用new的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgV30Eb.html" rel="bookmark">java 某个类的几个对象，这些对象调用类中一个函数，是各自拥有自己的函数代码还是使用同一段代码？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 1.java 某个类的几个对象,这些对象调用类中一个函数(普通的函数),是各自拥有自己的函数代码还是使用同一段代码?2.java 继承中,子类从父类得到一些普通函数,这些函数的代码,是子类自己独自拥有一份还是和父类使用同一段函数代码.3.第一次发帖,积分什么的不会搞,貌似自己也没有积分,呵呵,大家包涵! 解决方案 引用1.java 某个类的几个对象,这些对象调用类中一个函数(普通的函数),是各自拥有自己的函数代码还是使用同一段代码?这几个对象调用的当然是同一段代码了.jvm中有一个ja			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8kkvVM.html" rel="bookmark">java中使用Object类中比较遇到的问题，请帮忙解答一下。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在java中由于Object是所有类的父类,而且equals方法是public,理论上所有Person类都能够继承并使用该方法.然而以下程序执行结果是false.```classPerson//定义了Person类,实际就是继承了Object类{privateStringname;privateintage;publicPerson(Stringname,intage){this.name=name;this.age=age;}}publicclassTestObject{public			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b32JrWz.html" rel="bookmark">怎样在一个类中调用另一个窗体中的控件？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 一个串口接收类recvClass,有个线程recvThread接收数据,一个窗体FORM2,怎样在FORM2的listbox1中添加recvThread到的数据?有什么好方法吗? 解决方案 解决方案二:是否可以考虑在你接收数据的线程中访问Form2的listbox1控件注:若采用上述方法,则需要考虑采用Invoke方法来实现在线程recvThread中调用listbox1控件具体示例可参考网络上的那些在多线程程序中访问并更新主线程进度条处理解决方案三:recvClass类里:publi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxoA8Rb.html" rel="bookmark">DockOne微信分享（一二九）：聊聊Service Mesh：linkerd</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是DockOne微信分享(一二九):聊聊Service Mesh:linkerd[编者的话]随着企业逐渐将传统的单体应用向微服务或云原生应用的转变,虽然微服务或者云原生应用能给企业带来更多的好处,但也会带来一些具有挑战的问题,如怎么管理从单体应用转向微服务所带来的服务间通讯的复杂性,怎么实现微服务间安全,高效,可靠的访问,如何满足多语言多环境的透明通讯,服务发现.熔断,动态流量迁移,金丝雀部署,跨数据中心访问等等.本次分享给大家引入一新概念服务网格(Service Mesh)以及介绍业界			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRgRjz.html" rel="bookmark">httpservlet-java普通类中能否获取request对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java普通类中能否获取request对象 一个java普通的类能否拿到request对象呢? 如果要继承httpservlet,是否一定要覆盖doget和dopost方法呢,如果不覆盖能否取到request对象? 解决方案 普通类获取不到,你要接受请求或提交,就要处理这两个方法 解决方案二: 你可以从servlet传request对象过去.或者在普通类中封装成接口,普通类操作接口,selvet调用的时候实现接口转发到request上. 解决方案三: 你告诉我你想干什么,普通的类当然无			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqA4j2M.html" rel="bookmark">java static-假设有一个类，我只对这个类的引用做一个声明，那么这个类中的static方法会被初始化吗</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 假设有一个类,我只对这个类的引用做一个声明,那么这个类中的static方法会被初始化吗 假设下面这种情况,test1中的do方法会被初始化吗? public class test{ public static void main(string []args){ test1 t: } } class test1{ int i: static void do(){} } 解决方案 第一次访问的含义是,访问了这个静态类中的任何方法.属性.字段,那么所有的属性都会被初始化. 解决方案二: 方法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV0oyBM.html" rel="bookmark">Android中，BaseAdapter类中怎么获取屏幕宽度？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Android中,BaseAdapter类中怎么获取屏幕宽度? 本人小白,自定义了个MyAdapter继承BaseAdapter,现在想在MyAdapter中获取屏幕宽度,但是该类不是Activity也不是service,WindowManeger获取不到.getSystemService(Context.WINDOW_SERVICE),Resources的getResources();也没有. 解决方案 如果 控件宽度是适应屏幕的话 getView(int position View			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNj5DyM.html" rel="bookmark">activity-从主Activity中把Context类传递到另一个类中</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 从主Activity中把Context类传递到另一个类中 在程序中,我在其它的类中使用getFileStreamPath与主activity类区分.传递主activity中的context到其它类,并使用这个context调用它的方法. main activity class: LocalStorage lc = new LocalStorage(this); other class: public class LocalStorage { Context ctx; public Lo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJAvmJp.html" rel="bookmark">java-为什么我在Java类中执行SQL语句，程序没错，而数据库却没执行？？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 为什么我在Java类中执行SQL语句,程序没错,而数据库却没执行?? 解决方案 不知道画了删除线是什么意思,你确认这些代码有效么 解决方案二: 你用的什么啊?Hibernate?还是别的框架啊?Hibernate的话,可能是事务没有提交,你执行flush方法就可以了 解决方案三: 代码可以贴全一点吗?看不到关键部分 解决方案四: 代码内容太少了,你的Sqlca是个什么,最起码给个声明. 解决方案五: 你的sqlca是什么啊? 解决方案六: executeSQL方法问题 这个方法只能是查			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bod6R3M.html" rel="bookmark">属性-怎么在mvc3中动态给类中的property添加attribute？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 怎么在mvc3中动态给类中的property添加attribute? 有一个类A public class A{ public int Id{get;set;} public stirng Name{get;set;} } 通过反射将A中的property保存到txt文件中了,保存如下 Id.DisplayName=Id Name.DisplayName=Name 修改txt文件 Id.DisplayName=编号 Name.DisplayName=姓名 我想通过修改txt中的文件然后			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjZG8b.html" rel="bookmark" class="title">通用分页的存储过程函数</a>
					<div>
						存储过程|分页|函数|存储过程|分页|函数 ALTER PROCEDURE Pagination( @tblName  varchar(255),   -- 表名 @strGetFields varc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMljORz.html" rel="bookmark" class="title">程序员是否值那么多？</a>
					<div>
						记录片&lt;次郎寿司之梦&gt;(Jiro Dreams of Sushi,2011)里有个很牛的场景----世界上最著名的寿司师傅转身对他儿子(将要去开一家自己的餐馆)说:你无家可归了.面对这一幕 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0376b.html" rel="bookmark" class="title">视频播客加速了互联网进入资本运作时期</a>
					<div>
						互联网 视频播客加速了互联网进入资本运作时期  互联网10年多了,从最开始一直到05年,基本都是私人作坊,比较少资本运做的进入,很多人不了解互联网,也没兴趣投资互联网,但是随着时间的推移,网络的影响力 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLvmAb.html" rel="bookmark" class="title">FSO使用教程5 -- 如何使用FSO创建新文件</a>
					<div>
						fso|创建|教程 如何使用FSO创建新文件-FSO使用教程5 了解了文件复制,删除,移动及重命名后,接下来让我们学习如果存取文件里面的数据.文件存取所必须用到的TextStream对象是FileSy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJQ4wp.html" rel="bookmark" class="title">ADO&period;NET快速起步 &lbrack;特别推荐&rsqb;</a>
					<div>
						ado 导 读:本文主要介绍了ADO.NET的基本特点,并且使用的一些代码展示了在ADO.NET中如何建立数据库连接,发送查询命令及使用DataReader对象快速浏览数据集方式. --------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jEXBb.html" rel="bookmark" class="title">Ajax基础教程（1）-Ajax简介 1&period;5 相关技术</a>
					<div>
						当你看到本书时,可能已经了解了在应用中实现Ajax所需的大多数技术.重申一句,我们想强调的是,Ajax是一个客户端技术,不论你现在使用何种服务器端技术,都能使用Ajax,而不管使用的是Java..NE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91g4kM.html" rel="bookmark" class="title">Dreamweaver删除站点方法</a>
					<div>
						  首先打开dreamweaver,在菜单栏中找到&quot;站点&quot;--&quot;管理站点&quot;,如下图所示. 打开&quot;管理站点&quot;对话框,我们可以选择需要修改的站点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZddmYM.html" rel="bookmark" class="title">Photoshop给清纯美女照片加上干净的黄褐色技巧</a>
					<div>
						黄褐色图片用通道替换来调色是比较快捷的.因为通道替换后得到的颜色比较简单的图片,后期只需要把整体颜色转为黄褐色,再简单美化一下人物部分即可. 原图 &lt;点小图查看大图&gt; 最终效果 1.打开素 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmmx8z.html" rel="bookmark" class="title">Photoshop给美女照片加上淡调紫红色</a>
					<div>
						淡调图片调色方法有很多,下面介绍一种比较简单的方法.过程:先降低图片的饱和度,这样可以去掉很多杂色,然后用曲线等快速给图片加上想要的主色,后期细调局部及整体颜色即可. 原图 &lt;点小图查看大图&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYadOb.html" rel="bookmark" class="title">Spark生态系统中的图数据分析知识</a>
					<div>
						图结构可有效表示稀疏矩阵,因而图数据分析可用于实现大数据分析.对于Spark生态系统中的图处理系统GraphX,&lt;Spark GraphX in Action&gt;一书给出了详细的教程和典型用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAJd2M.html" rel="bookmark" class="title">修改快捷方式的图标</a>
					<div>
						问题描述 C#项目生成setup文件安装后的图标不好看,我想改了,应该怎么改? 解决方案 解决方案二:知道怎么改了...解决方案三:该回复于2012-06-04 09:35:05被版主删除					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RPe4b.html" rel="bookmark" class="title">file-如何在Android列表文件中，选中多个文件（用左边的图标选中）</a>
					<div>
						问题描述 如何在Android列表文件中,选中多个文件(用左边的图标选中) listview是用来显示sdcard列表文件的.listview中item的子控件imageButton放的是文件的图标, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWl0Bep.html" rel="bookmark" class="title">甲骨文喻思成&colon;大数据方案需要全面集成开放</a>
					<div>
						[天极网服务器频道4月23日专稿]大数据的应用前景之广大已经毋庸置疑.企业CEO.CIO在讨论商业策略.IT模式创新时几乎言必谈大数据.Gartner发布的&lt;Big Data Drives Ra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm9jAb.html" rel="bookmark" class="title">chm文档转html文件</a>
					<div>
						在Windows下chm转换为html的超简单方法(反编译CHM文件的方法) 通过调用Windows命令,将chm 文件转换为html 文件. 方法: 命令行(cmd),输入hh -decompile ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjww7ZM.html" rel="bookmark" class="title">JavaScript比较两个对象是否相等几个例子</a>
					<div>
						本js代码通过对js对象进行各方面的比较来判断两个对象是否相等 cmp = function( x, y ) { // If both x and y are null or undefined an ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0n2RDz.html" rel="bookmark" class="title">androidjavaclass-关于Unity调用android的jar包中的接口</a>
					<div>
						问题描述 关于Unity调用android的jar包中的接口 void Update () { AndroidJavaClass jc = new AndroidJavaClass (&quot;co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAElmJM.html" rel="bookmark" class="title">Android学习笔记&lpar;1&rpar;：一些准备姿势</a>
					<div>
						Android系统的体系结构: 应用程序层--应用程序框架--函数库--Android运行时--Linux内核 SDK目录结构: 一开始只有下面的这些: add-ones:第三方公司为Android平 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwoA8M.html" rel="bookmark" class="title">mainactivity-fragment下点击button刷新该fragment</a>
					<div>
						问题描述 fragment下点击button刷新该fragment 我要做一个登陆界面,有一个是否登录来判断载入哪个layout,在mainactivity中第一次调用的是一个登陆的fragment, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn34WM.html" rel="bookmark" class="title">linux 下如何实现svn同步线上web代码</a>
					<div>
						问题描述 linux 下如何实现svn同步线上web代码 求完整详细教程 linux 下如何实现svn同步线上web代码 解决方案 http://www.cnblogs.com/me115/archi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo177M.html" rel="bookmark" class="title">《创意特训营&mdash;&mdash;30天超级灵感唤醒术》&mdash;第2章2&period;6节小结</a>
					<div>
						2.6 小结 现在你已经了解了创造力必需的几种条件,虽然我们必然没法每次都成功满足这些条件,但是也不要有压力.失败是很自然的事情,也是高产优质创意的关键步骤.在下一章中我们将讲述如何正视失败.你会发现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjJ2OM.html" rel="bookmark" class="title">瞎谈&OpenCurlyDoubleQuote;认知计算&rdquo;</a>
					<div>
						阿尔法狗赢了之后,最近关于人工智能的文章铺天盖地,颇有当年纳米材料的风范,但是其中有多少人是真明白,有多少人是跟风,有多少人纯粹是为了炒作,不得而知.曾经在人工智能方面,我也是下过一段时间的苦功夫,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7wrYz.html" rel="bookmark" class="title">富士康奖励99名优秀员工 每人一部iPhone 5</a>
					<div>
						获奖者每人一部iPhone 5http://www.aliyun.com/zixun/aggregation/6149.html&quot;&gt;TechWeb配图 [TechWeb报道]12月31 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJ7q5p.html" rel="bookmark" class="title">关于ajax select 无限极联动修改时自动创建并选中时的问题</a>
					<div>
						问题描述 页面:&lt;tr&gt;&lt;td&gt;产品名称&lt;/td&gt;&lt;thid=&quot;proContent&quot;&gt;&lt;selectid=&quot;pro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwK1gnz.html" rel="bookmark" class="title">JavaScript 学习笔记（十一）&lowbar;基础知识</a>
					<div>
						document对象 下表列出了BOM的document对象的一些通用属性: 属    性 说    明 alinkColor 激活的链接的颜色,如&lt;body alink=&quot;color ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8K9Np.html" rel="bookmark" class="title">通过访问A服务器把附件写到B服务器时遇到了问题，急！！！</a>
					<div>
						问题描述 我想通过服务器A把服务写到服务器B上,我在服务器B上建立了网络共享文件夹&quot;\192.168.0.170uploadfile&quot;我在局域网内测试动态创建文件夹System.I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zen97Vb.html" rel="bookmark" class="title">富士通推新型RFID标签WT-A522L，适用于时尚服装和配件</a>
					<div>
						富士通北美公司已经推出了一个新的超高频(UHF)RFID标签适合用于时尚服装和配件.富士通新的WT-A522L标签有一个典型的衬衫领大小,根据该公司称,装在精致的服装上几乎看不见. WT-A522L标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJLOLM.html" rel="bookmark" class="title">潜伏者李炎被套双重镣铐 从不差钱到很差钱</a>
					<div>
						李炎是一个精于政商关系.善于经营人脉资源的资本高手.腾中收购悍马会不会演变成一场闹剧?现在看来,资金短缺还是腾中亟需解决的问题.在收购悍马的紧要关头,长袖善舞的李炎被套上了资本和政府的双重镣铐 46岁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjonLZM.html" rel="bookmark" class="title">&lbrack;C&plus;&plus;&rsqb; 用Xcode来写C&plus;&plus;程序&lbrack;2&rsqb; 操作变量</a>
					<div>
						用Xcode来写C++程序[2] 操作变量   此节讲解包括变量的初始化的几种方式,以及泛型编程的两种变量赋值方式.   最基本的变量赋值以及操作: // operating with variabl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAePOp.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;小米&rdquo;价值450亿美元疑似小米4s重量级新机曝光</a>
					<div>
						之前曾有消息称小米于前些日子完成了新一轮融资,目前最新的估值已经达到了450亿美元.现在,小米CEO雷军正式在微博上确认了这一消息,他表示这次融资的总额为11亿美元,估值确实达到了450亿美元.这次小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Y1l7p.html" rel="bookmark" class="title">掘金大数据 你准备好了吗？</a>
					<div>
						曾经,人们谈论的是书中自有黄金屋,书中自有颜如玉,而如今,从数据中也能找到黄金.在3月31日的IT领袖峰会上,许多专家及业界学者就在讨论如何从大数据中挖掘黄金.当天,业内人士把大数据比作为21世纪的& ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
